function runscript()
	if (getflag(FLAG_CHAMBER) == FLAG_OFF) then
		createnpc("mipo", 14, 4);
		wait(50);
		createnpc("exclam", 14, 4);
		sound("miss", CHAN_SCRIPTED);
		wait(10);
		destroy("exclam");
		setgravity("mipo", 1);
		walktoxspeed("mipo", 23, 2);
		destroy("mipo")
		setflag(FLAG_CHAMBER, FLAG_ON);
	end
end